searchData={"content_type":"text/markdown","items":[{"doc":"`BetterNumber` provides functions to convert numbers into a variety of different formats.","ref":"BetterNumber.html","title":"BetterNumber","type":"module"},{"doc":"Converts number to currency","ref":"BetterNumber.html#to_currency/2","title":"BetterNumber.to_currency/2","type":"function"},{"doc":"Delimits number with seprator","ref":"BetterNumber.html#to_delimited/2","title":"BetterNumber.to_delimited/2","type":"function"},{"doc":"Converts number to specified units","ref":"BetterNumber.html#to_human/2","title":"BetterNumber.to_human/2","type":"function"},{"doc":"Converts number to english ordinal.","ref":"BetterNumber.html#to_ordinal/1","title":"BetterNumber.to_ordinal/1","type":"function"},{"doc":"Converts number to percentage","ref":"BetterNumber.html#to_percentage/2","title":"BetterNumber.to_percentage/2","type":"function"},{"doc":"Converts number to phone number format","ref":"BetterNumber.html#to_phone/2","title":"BetterNumber.to_phone/2","type":"function"},{"doc":"","ref":"BetterNumber.html#t:t/0","title":"BetterNumber.t/0","type":"type"},{"doc":"Provides functions for converting numbers into formatted currency strings.","ref":"BetterNumber.Currency.html","title":"BetterNumber.Currency","type":"module"},{"doc":"Converts a number to a formatted currency string.","ref":"BetterNumber.Currency.html#number_to_currency/2","title":"BetterNumber.Currency.number_to_currency/2","type":"function"},{"doc":"* `number` - A float or integer to convert.\n\n  * `options` - A keyword list of options. See the documentation of all\n    available options below for more information.","ref":"BetterNumber.Currency.html#number_to_currency/2-parameters","title":"Parameters - BetterNumber.Currency.number_to_currency/2","type":"function"},{"doc":"* `:unit` - The currency symbol to use. Default: \"$\"\n\n  * `:precision` - The number of decimal places to include. Default: 2\n\n  * `:delimiter` - The character to use to delimit the number by thousands.\n    Default: \",\"\n\n  * `:separator` - The character to use to separate the number from the decimal\n    places. Default: \".\"\n\n  * `:format` - Function which converts number and unit to the final string.\n    Default: `fn unit, number -> unit <> number end`\n\n  * `:negative_format` - The format of the number when it is negative. Uses the\n    same formatting placeholders as the `:format` option. Default value is derived\n    from `:format` option just with \"-\" prefix.\n\n  * `:trim_zero_fraction` - Whether to trim the zeroes in fraction part of number.\n    Default: \"false\"","ref":"BetterNumber.Currency.html#number_to_currency/2-options","title":"Options - BetterNumber.Currency.number_to_currency/2","type":"function"},{"doc":"iex> number_to_currency(nil)\n      nil\n\n      iex> number_to_currency(1000)\n      \"$1,000.00\"\n\n      iex> number_to_currency(1000, unit: \"£\")\n      \"£1,000.00\"\n\n      iex> number_to_currency(-1000)\n      \"-$1,000.00\"\n\n      iex> number_to_currency(-234234.23)\n      \"-$234,234.23\"\n\n      iex> number_to_currency(1234567890.50)\n      \"$1,234,567,890.50\"\n\n      iex> number_to_currency(1234567890.506)\n      \"$1,234,567,890.51\"\n\n      iex> number_to_currency(1234567890.506, precision: 3)\n      \"$1,234,567,890.506\"\n\n      iex> number_to_currency(-1234567890.50, negative_format: &\"(#{&1}#{&2})\")\n      \"($1,234,567,890.50)\"\n\n      iex> number_to_currency(1234567890.50, unit: \"R$\", separator: \",\", delimiter: \"\")\n      \"R$1234567890,50\"\n\n      iex> number_to_currency(1234567890.50, unit: \"R$\", separator: \",\", delimiter: \"\", format: &\"#{&2} #{&1}\")\n      \"1234567890,50 R$\"\n\n      iex> number_to_currency(Decimal.from_float(50.0))\n      \"$50.00\"\n\n      iex> number_to_currency(Decimal.from_float(-100.01))\n      \"-$100.01\"\n\n      iex> number_to_currency(Decimal.from_float(-100.01), unit: \"$\", separator: \",\", delimiter: \".\", negative_format: &\"- #{&1} #{&2}\")\n      \"- $ 100,01\"","ref":"BetterNumber.Currency.html#number_to_currency/2-examples","title":"Examples - BetterNumber.Currency.number_to_currency/2","type":"function"},{"doc":"Provides functions to delimit numbers into strings.","ref":"BetterNumber.Delimit.html","title":"BetterNumber.Delimit","type":"module"},{"doc":"Formats a number into a string with grouped thousands using `delimiter`.","ref":"BetterNumber.Delimit.html#number_to_delimited/2","title":"BetterNumber.Delimit.number_to_delimited/2","type":"function"},{"doc":"* `number` - A float or integer to convert.\n\n* `options` - A keyword list of options. See the documentation of all\n  available options below for more information.","ref":"BetterNumber.Delimit.html#number_to_delimited/2-parameters","title":"Parameters - BetterNumber.Delimit.number_to_delimited/2","type":"function"},{"doc":"* `:precision` - The number of decimal places to include. Default: 2\n\n* `:delimiter` - The character to use to delimit the number by thousands.\n  Default: \",\"\n\n* `:separator` - The character to use to separate the number from the decimal\n  places. Default: \".\"\n\n* `:trim_zero_fraction` - Whether to trim the zeroes in fraction part of number.\n  Default: \"false\"","ref":"BetterNumber.Delimit.html#number_to_delimited/2-options","title":"Options - BetterNumber.Delimit.number_to_delimited/2","type":"function"},{"doc":"iex> number_to_delimited(nil)\n    nil\n\n    iex> number_to_delimited(998.999)\n    \"999.00\"\n\n    iex> number_to_delimited(-234234.234)\n    \"-234,234.23\"\n\n    iex> number_to_delimited(\"998.999\")\n    \"999.00\"\n\n    iex> number_to_delimited(\"-234234.234\")\n    \"-234,234.23\"\n\n    iex> number_to_delimited(12345678)\n    \"12,345,678.00\"\n\n    iex> number_to_delimited(12345678.05)\n    \"12,345,678.05\"\n\n    iex> number_to_delimited(12345678, delimiter: \".\")\n    \"12.345.678.00\"\n\n    iex> number_to_delimited(12345678, delimiter: \",\")\n    \"12,345,678.00\"\n\n    iex> number_to_delimited(12345678.05, separator: \" \")\n    \"12,345,678 05\"\n\n    iex> number_to_delimited(98765432.98, delimiter: \" \", separator: \",\")\n    \"98 765 432,98\"\n\n    iex> number_to_delimited(Decimal.from_float(9998.2))\n    \"9,998.20\"\n\n    iex> number_to_delimited \"123456789555555555555555555555555\"\n    \"123,456,789,555,555,555,555,555,555,555,555.00\"\n\n    iex> number_to_delimited Decimal.new \"123456789555555555555555555555555\"\n    \"123,456,789,555,555,555,555,555,555,555,555.00\"\n\n    iex> number_to_delimited(123456, trim_zero_fraction: true)\n    \"123,456\"\n\n    iex> number_to_delimited(123456.5, trim_zero_fraction: true)\n    \"123,456.50\"","ref":"BetterNumber.Delimit.html#number_to_delimited/2-examples","title":"Examples - BetterNumber.Delimit.number_to_delimited/2","type":"function"},{"doc":"Provides functions for converting numbers into more human readable strings.","ref":"BetterNumber.Human.html","title":"BetterNumber.Human","type":"module"},{"doc":"Formats and labels a number with the appropriate English word.","ref":"BetterNumber.Human.html#number_to_human/2","title":"BetterNumber.Human.number_to_human/2","type":"function"},{"doc":"* `:units` - List of units to convert to","ref":"BetterNumber.Human.html#number_to_human/2-options","title":"Options - BetterNumber.Human.number_to_human/2","type":"function"},{"doc":"iex> number_to_human(123)\n    \"123.00\"\n    iex> number_to_human(1234)\n    \"1.23 Thousand\"\n    iex> number_to_human(999001)\n    \"999.00 Thousand\"\n    iex> number_to_human(1234567)\n    \"1.23 Million\"\n    iex> number_to_human(1234567890)\n    \"1.23 Billion\"\n    iex> number_to_human(1234567890123)\n    \"1.23 Trillion\"\n    iex> number_to_human(1234567890123456)\n    \"1.23 Quadrillion\"\n    iex> number_to_human(1234567890123456789)\n    \"1,234.57 Quadrillion\"\n    iex> number_to_human(Decimal.new(\"5000.0\"))\n    \"5.00 Thousand\"\n    iex> number_to_human(123, units: [\"B\", \"KB\", \"MB\", \"GB\", \"TB\", \"PB\"])\n    \"123.00 B\"\n    iex> number_to_human(1234, units: [\"B\", \"KB\", \"MB\", \"GB\", \"TB\", \"PB\"])\n    \"1.23 KB\"\n    iex> number_to_human(999001, units: [\"B\", \"KB\", \"MB\", \"GB\", \"TB\", \"PB\"])\n    \"999.00 KB\"\n    iex> number_to_human(1234567, units: [\"B\", \"KB\", \"MB\", \"GB\", \"TB\", \"PB\"])\n    \"1.23 MB\"\n    iex> number_to_human(1234567890, units: [\"B\", \"KB\", \"MB\", \"GB\", \"TB\", \"PB\"])\n    \"1.23 GB\"\n    iex> number_to_human(1234567890123, units: [\"B\", \"KB\", \"MB\", \"GB\", \"TB\", \"PB\"])\n    \"1.23 TB\"\n    iex> number_to_human(1234567890123456, units: [\"B\", \"KB\", \"MB\", \"GB\", \"TB\", \"PB\"])\n    \"1.23 PB\"\n    iex> number_to_human(1234567890123456789, units: [\"B\", \"KB\", \"MB\", \"GB\", \"TB\", \"PB\"])\n    \"1,234.57 PB\"","ref":"BetterNumber.Human.html#number_to_human/2-examples","title":"Examples - BetterNumber.Human.number_to_human/2","type":"function"},{"doc":"Adds ordinal suffix (st, nd, rd or th) for the number","ref":"BetterNumber.Human.html#number_to_ordinal/1","title":"BetterNumber.Human.number_to_ordinal/1","type":"function"},{"doc":"iex> BetterNumber.Human.number_to_ordinal(3)\n    \"3rd\"\n    iex> BetterNumber.Human.number_to_ordinal(1)\n    \"1st\"\n    iex> BetterNumber.Human.number_to_ordinal(46)\n    \"46th\"\n    iex> BetterNumber.Human.number_to_ordinal(442)\n    \"442nd\"\n    iex> BetterNumber.Human.number_to_ordinal(4001)\n    \"4001st\"","ref":"BetterNumber.Human.html#number_to_ordinal/1-examples","title":"Examples - BetterNumber.Human.number_to_ordinal/1","type":"function"},{"doc":"Provides functions for converting numbers into percentages.","ref":"BetterNumber.Percentage.html","title":"BetterNumber.Percentage","type":"module"},{"doc":"Formats a number into a percentage string.","ref":"BetterNumber.Percentage.html#number_to_percentage/2","title":"BetterNumber.Percentage.number_to_percentage/2","type":"function"},{"doc":"* `number` - A value to convert. Can be any value that implements\n  `BetterNumber.Conversion.to_float/1`.\n\n* `options` - A keyword list of options. See the documentation below for all\n  available options.","ref":"BetterNumber.Percentage.html#number_to_percentage/2-parameters","title":"Parameters - BetterNumber.Percentage.number_to_percentage/2","type":"function"},{"doc":"* `:precision` - The number of decimal places to include. Default: 2\n\n* `:delimiter` - The character to use to delimit the number by thousands.\n  Default: \",\"\n\n* `:separator` - The character to use to separate the number from the decimal\n  places. Default: \".\"\n\n* `:trim_zero_fraction` - Whether to trim the zeroes in fraction part of number.\n  Default: \"false\"","ref":"BetterNumber.Percentage.html#number_to_percentage/2-options","title":"Options - BetterNumber.Percentage.number_to_percentage/2","type":"function"},{"doc":"iex> BetterNumber.Percentage.number_to_percentage(100)\n    \"100.00%\"\n\n    iex> BetterNumber.Percentage.number_to_percentage(\"98\")\n    \"98.00%\"\n\n    iex> BetterNumber.Percentage.number_to_percentage(100, precision: 0)\n    \"100%\"\n\n    iex> BetterNumber.Percentage.number_to_percentage(1000, delimiter: '.', separator: ',')\n    \"1.000,00%\"\n\n    iex> BetterNumber.Percentage.number_to_percentage(302.24398923423, precision: 5)\n    \"302.24399%\"\n\n    iex> BetterNumber.Percentage.number_to_percentage(Decimal.from_float(59.236), precision: 2)\n    \"59.24%\"","ref":"BetterNumber.Percentage.html#number_to_percentage/2-examples","title":"Examples - BetterNumber.Percentage.number_to_percentage/2","type":"function"},{"doc":"Provides functions to convert numbers into formatted phone number strings.","ref":"BetterNumber.Phone.html","title":"BetterNumber.Phone","type":"module"},{"doc":"Formats a number into a US phone number (e.g., (555) 123-9876). You can\ncustomize the format in the options list.","ref":"BetterNumber.Phone.html#number_to_phone/2","title":"BetterNumber.Phone.number_to_phone/2","type":"function"},{"doc":"* `number` - A float or integer to convert.\n\n* `options` - A keyword list of options. See the documentation of all\n  available options below for more information.","ref":"BetterNumber.Phone.html#number_to_phone/2-parameters","title":"Parameters - BetterNumber.Phone.number_to_phone/2","type":"function"},{"doc":"* `:area_code` - Adds parentheses around the area code if `true`.\n\n* `:delimiter` - Specifies the delimiter to use (defaults to “-”).\n\n* `:extension` - Specifies an extension to add to the end of the generated number.\n\n* `:country_code` - Sets the country code for the phone number.","ref":"BetterNumber.Phone.html#number_to_phone/2-options","title":"Options - BetterNumber.Phone.number_to_phone/2","type":"function"},{"doc":"iex> BetterNumber.Phone.number_to_phone(nil)\n    nil\n\n    iex> BetterNumber.Phone.number_to_phone(5551234)\n    \"555-1234\"\n\n    iex> BetterNumber.Phone.number_to_phone(\"5551234\")\n    \"555-1234\"\n\n    iex> BetterNumber.Phone.number_to_phone(1235551234)\n    \"123-555-1234\"\n\n    iex> BetterNumber.Phone.number_to_phone(1235551234, area_code: true)\n    \"(123) 555-1234\"\n\n    iex> BetterNumber.Phone.number_to_phone(1235551234, delimiter: \" \")\n    \"123 555 1234\"\n\n    iex> BetterNumber.Phone.number_to_phone(1235551234, area_code: true, extension: 555)\n    \"(123) 555-1234 x 555\"\n\n    iex> BetterNumber.Phone.number_to_phone(1235551234, area_code: true, extension: 555, country_code: 1)\n    \"+1 (123) 555-1234 x 555\"\n\n    iex> BetterNumber.Phone.number_to_phone(1235551234, country_code: 1)\n    \"+1-123-555-1234\"\n\n    iex> BetterNumber.Phone.number_to_phone(\"123a456\")\n    \"123a456\"\n\n    iex> BetterNumber.Phone.number_to_phone(1235551234, country_code: 1, extension: 1343, delimiter: \".\")\n    \"+1.123.555.1234 x 1343\"","ref":"BetterNumber.Phone.html#number_to_phone/2-examples","title":"Examples - BetterNumber.Phone.number_to_phone/2","type":"function"},{"doc":"Provides functions for formatting numbers using SI notation.","ref":"BetterNumber.SI.html","title":"BetterNumber.SI","type":"module"},{"doc":"Format numbers using SI notation","ref":"BetterNumber.SI.html#number_to_si/2","title":"BetterNumber.SI.number_to_si/2","type":"function"},{"doc":"* `number` - A value to convert. Can be any value that implements\n  `BetterNumber.Conversion.to_float/1`.\n\n* `options` - A keyword list of options. See the documentation below for all\n  available options.","ref":"BetterNumber.SI.html#number_to_si/2-parameters","title":"Parameters - BetterNumber.SI.number_to_si/2","type":"function"},{"doc":"* `:base` - Use 1024 if you wish to format bytes.  Default: 1000\n\n* `:separator` - The string to place between the scaled number and the `prefix\n  + unit`. Perhaps you want a space here. Default: \"\"\n\n* `:unit` - The unit of measurement, e.g. \"M\" for Meters. Default: \"\"\n\n* `:precision` - The number of decimal places to include. Default: 2\n\n* `:trim` - Trim trailing zeros. Default: false","ref":"BetterNumber.SI.html#number_to_si/2-options","title":"Options - BetterNumber.SI.number_to_si/2","type":"function"},{"doc":"iex> BetterNumber.SI.number_to_si(1210000000, unit: \"W\")\n    \"1.21GW\"\n\n    iex> BetterNumber.SI.number_to_si(1210000000, unit: \"W\", precision: 1)\n    \"1.2GW\"\n\n    iex> BetterNumber.SI.number_to_si(1210000000, unit: \"W\", precision: 3, separator: \" \")\n    \"1.210 GW\"\n\n    iex> BetterNumber.SI.number_to_si(1210000000, unit: \"W\", precision: 5, trim: true)\n    \"1.21GW\"\n\n    iex> BetterNumber.SI.number_to_si(1210000000)\n    \"1.21G\"\n\n    iex> BetterNumber.SI.number_to_si(Decimal.new(1210000000))\n    \"1.21G\"","ref":"BetterNumber.SI.html#number_to_si/2-examples","title":"Examples - BetterNumber.SI.number_to_si/2","type":"function"},{"doc":"Converts values to formats consumable by BetterNumber.","ref":"BetterNumber.Conversion.html","title":"BetterNumber.Conversion","type":"protocol"},{"doc":"Converts a value to a Decimal.","ref":"BetterNumber.Conversion.html#to_decimal/1","title":"BetterNumber.Conversion.to_decimal/1","type":"function"},{"doc":"Converts a value to a Float.","ref":"BetterNumber.Conversion.html#to_float/1","title":"BetterNumber.Conversion.to_float/1","type":"function"},{"doc":"Converts a value to an Integer in an Either style.","ref":"BetterNumber.Conversion.html#to_integer/1","title":"BetterNumber.Conversion.to_integer/1","type":"function"},{"doc":"All the types that implement this protocol.","ref":"BetterNumber.Conversion.html#t:t/0","title":"BetterNumber.Conversion.t/0","type":"type"},{"doc":"# Changelog","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Just README and Doc update","ref":"changelog.html#1-0-1","title":"1.0.1 - Changelog","type":"extras"},{"doc":"Better number introduced! :tada:","ref":"changelog.html#1-0-0","title":"1.0.0 - Changelog","type":"extras"},{"doc":"# Better Number\n\n`BetterNumber` is an Elixir library which provides functions to convert numbers into a variety of different formats. It is a fork of [Daniel Berkompas's Number](https://github.com/danielberkompas/number) but it\n\n1. Has slightly more features\n\n2. Does not perform any configuration lookups and therefore each function is __100% pure__.\n\n3. Has no `__using__` to import functions\n\n4. Has correct type specifications\n\n5. Actively maintained","ref":"readme.html","title":"Better Number","type":"extras"},{"doc":"* Conversion to currency, where everything is customizable\n\n```\nBetterNumber.to_currency(2034.46)\n\"$2,034.46\"\n```\n\n* Conversion to international phone format\n\n```elixir\nBetterNumber.to_phone(1112223333, area_code: true, country_code: 1)\n\"+1 (111) 222-3333\"\n```\n\n* Conversion to percentage\n\n```elixir\nBetterNumber.to_percentage(100, precision: 0)\n\"100%\"\n```\n\n* Conversion to human readable format\n\n```elixir\nBetterNumber.to_human(1234)\n\"1.23 Thousand\"\n```\n\n* Just splitting the number with commas\n\n```elixir\nBetterNumber.to_delimited(12345678)\n\"12,345,678\"\n```\n\n> Note:\n>\n> Every function is extremely customizable, and has a ton of options","ref":"readme.html#features","title":"Features - Better Number","type":"extras"},{"doc":"Get it from Hex:\n\n```elixir\ndefp deps do\n  [\n    {:better_number, \"~> 1.0.1\"}\n  ]\nend\n```\n\nThen run `mix deps.get`.","ref":"readme.html#installation","title":"Installation - Better Number","type":"extras"},{"doc":"```elixir\ndefmodule MyModule do\n  alias BetterNumber, as: Number\n\n  ...\nend\n```\n\nSee the [Hex documentation](http://hexdocs.pm/better_number/) for more information\nabout the modules provided by `BetterNumber`.","ref":"readme.html#usage","title":"Usage - Better Number","type":"extras"},{"doc":"MIT. See [LICENSE](https://github.com/hissssst/better_number/blob/master/LICENSE) for more details.","ref":"readme.html#license","title":"License - Better Number","type":"extras"}]}